Package ghidra.sleigh.grammar

# Class ParsingEnvironment

java.lang.Object
ghidra.sleigh.grammar.ParsingEnvironment

public class ParsingEnvironment extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParsingEnvironment(LineArrayListWriter writer)`
  `ParsingEnvironment(ParsingEnvironment env)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format(BailoutException be)`
  `String`
  `getErrorHeader(org.antlr.runtime.RecognitionException e)`
  `String`
  `getErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames, LineArrayListWriter mywriter)`
  `String`
  `getLexerErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames)`
  `int`
  `getLexingErrors()`
  `Locator`
  `getLocator()`
  `String`
  `getParserErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames)`
  `int`
  `getParsingErrors()`
  `String`
  `getTokenErrorDisplay(org.antlr.runtime.Token t)`
  `LineArrayListWriter`
  `getWriter()`
  `void`
  `lexingError()`
  `void`
  `parsingError()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParsingEnvironment

    public ParsingEnvironment(ParsingEnvironment env)

  - ### ParsingEnvironment

    public ParsingEnvironment(LineArrayListWriter writer)

- ## Method Details

  - ### getLexingErrors

    public int getLexingErrors()

  - ### getParsingErrors

    public int getParsingErrors()

  - ### lexingError

    public void lexingError()

  - ### parsingError

    public void parsingError()

  - ### getLocator

    public Locator getLocator()

  - ### getWriter

    public LineArrayListWriter getWriter()

  - ### getErrorHeader

    public String getErrorHeader(org.antlr.runtime.RecognitionException e)

  - ### getLexerErrorMessage

    public String getLexerErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames)

  - ### getParserErrorMessage

    public String getParserErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames)

  - ### getErrorMessage

    public String getErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames, LineArrayListWriter mywriter)

  - ### getTokenErrorDisplay

    public String getTokenErrorDisplay(org.antlr.runtime.Token t)

  - ### format

    public String format(BailoutException be)